package request


type AlibabaWdkItemStoreskuQueryRequest struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code" required:"true" `
    /*
        门店ID     */
    StoreId  *string `json:"store_id" required:"true" `
}

func (s *AlibabaWdkItemStoreskuQueryRequest) SetSkuCode(v string) *AlibabaWdkItemStoreskuQueryRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemStoreskuQueryRequest) SetStoreId(v string) *AlibabaWdkItemStoreskuQueryRequest {
    s.StoreId = &v
    return s
}

func (req *AlibabaWdkItemStoreskuQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.StoreId != nil) {
        paramMap["store_id"] = *req.StoreId
    }
    return paramMap
}

func (req *AlibabaWdkItemStoreskuQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}